Subject: Re: bug#13149: 24.3.50; Emacs thinks file was changed outside Emacs, but it was not

From: Dmitry Gutov <[email-masked]>
Date: Wed, 12 Dec 2012 02:48:24 +0400

"Drew Adams" <[email-masked]> writes:

> Dunno whether this will ring a bell.  This happened once the other day,
> and I just ignored it.  It has now happened again.
>  
> I am editing a file, doing nothing special.  Suddenly when I try to type
> a char Emacs asks me (taken from *Messages*):
>  
> bar.el changed on disk; really edit the buffer? (y, n, r or C-h) n
> ask-user-about-supersession-threat: File changed on disk: c:/foo/bar.el
>  
> I just reverted the buffer and continued.  But I am positive that
> nothing outside Emacs modified the file.  I'm not even aware of
> something running that could do that.  I was editing and saving
> occasionally - nothing more.
>  
> Anyway, hoping this helps in some way...

I've been seeing the same kind of prompts lately when editing files in
Emacs in Ubuntu inside a virtual machine.

IIRC all those files were were mounted from the host machine (MS Windows
7) using the vboxsf file system type.